Package Details: gns3-gui 2.2.3-1

Git Clone URL: https://aur.archlinux.org/gns3-gui.git (read-only)
Package Base: gns3-gui
Description: GNS3 network simulator. Graphical user interface package.
Upstream URL: https://github.com/GNS3/gns3-gui
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 71
Popularity: 0.54
First Submitted: 2014-05-13 18:56
Last Updated: 2019-11-12 10:51

Dependencies (15)

Required by (2)

Sources (2)

Latest Comments

1 2 3 4 5 6 Next › Last »

phy0d0r commented on 2019-11-17 14:40

Error using gns3-server 2.2.3-1 and gns3-gui 2.2.3-1. Thanks.


Traceback (most recent call last):
  File "/usr/bin/gns3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3251, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3234, in _call_aside
    f(args, *kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 583, in _build_master
    ws.require(requires)
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'gns3-gui==2.2.3' distribution was not found and is required by the application

hagar-dunor commented on 2019-11-16 22:09

When starting gns3-gui 2.2.3, I see this on the console

pkg_resources.ContextualVersionConflict: (psutil 5.6.5 (/usr/lib/python3.8/site-packages), Requirement.parse('psutil==5.6.3'), {'gns3-gui'})

phy0d0r commented on 2019-11-13 15:50

Hi I'am having error after installing gns-gui 2.2.3 & gns-server 2.2.3. Working again after downgrading to gns3-server-2.2.2-1 and gns3-gui-2.2.2-1. Thanks.


 ┌─ fyodor at 23:46  ın  {~}
 └─> ₹ » gns3
2019-11-13 23:46:47 INFO root:126 Log level: INFO
2019-11-13 23:46:47 INFO main:256 GNS3 GUI version 2.2.3
2019-11-13 23:46:47 INFO main:257 Copyright (c) 2007-2019 GNS3 Technologies Inc.
2019-11-13 23:46:47 INFO main:259 Application started with /usr/bin/gns3
2019-11-13 23:46:52 ERROR local_server:496 Local server process has stopped
2019-11-13 23:46:52 ERROR local_server:498 Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (yarl 1.2.6 (/usr/lib/python3.7/site-packages), Requirement.parse('yarl==1.3.0'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gns3server", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3250, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'yarl==1.3.0' distribution was not found and is required by gns3-server

2019-11-13 23:47:17 CRITICAL utils.progress_dialog:181 WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused
2019-11-13 23:47:18 CRITICAL progress_dialog.py:183 Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused

buzo commented on 2019-11-04 19:57

tototony: Which aiohttp/attrs issue?

tototony commented on 2019-10-17 22:51

to fix the aiohttp/attrs issue


pacman -S python-pip
pip install aiohttp

buzo commented on 2019-10-06 20:06

Fixed – sorry for the delay, I am currently on vacation.

joetheshmo commented on 2019-10-03 20:03

I'm also experiencing issue with gns3 after the 20191001 update similar to phy0d0r

phy0d0r commented on 2019-10-03 05:11

Hi, I had a problem after installing gns3-server 2.2.0-1 and gns3-gui. Thanks.

Traceback (most recent call last):
  File "/usr/bin/gns3", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3250, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3234, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'distro>=1.3.0' distribution was not found and is required by gns3-gui

buzo commented on 2019-06-16 19:23

abdulhakeem: Fixed – thanks for the notification.

abdulhakeem commented on 2019-06-15 21:44

I had an issue where the gui would not start because python-jsonschema was too new, I had to downgrade it to version 2.6.0 and then it worked. In case anyone else runs into the same problem.